Class MesssagesListener
  Public Function OnReceiveMessage(intMsgType, strFrom, strTo, strText)
  	MsgBox CStr(intMsgType) & VbCrLf  & strFrom & VbCrLf & strTo & VbCrLf & strText
  End Function
  
 Public Function OnServiceError(intErrType, lngErr, lngErrData, strName, strError)
     MsgBox CStr(intErrType) & VbCrLf & lngErr & VbCrLf & lngErrData & VbCrLf & strName & VbCrLf & strError
  End Function
End Class

Class UsersListEventsListener
  Public Function OnUsersListUpdate(uintFlag)
  	MsgBox CStr(uintFlag) & VbCrLf  & "OnUsersListUpdate"
  End Function
End Class

'MsgBox "Started..."

Dim wmservice
Set wmservice = CreateObject("VyPRESS.WinMessenger.WmService")

Dim ule_prov
Set ule_prov = CreateObject("VyPRESS.WinMessenger.WmServiceUsersList")

Dim ule_listener
Set ule_listener = new UsersListEventsListener

Dim retVal
retVal = ule_prov.AddUsersListEventsListener(ule_listener)

Dim astrNames(2)
astrNames(0) = "USER1"
astrNames(1) = "USER2"
astrNames(2) = "*"

Dim msg_listener
Set msg_listener = new MesssagesListener

retVal = wmservice.AddNames(astrNames, msg_listener)

MsgBox "Press OK to stop service..."
WScript.Echo "Service is stopped." 

ule_prov.RemoveUsersListEventsListener(ule_listener)
wmservice.RemoveListener(msg_listener)